<?php
if ( ! class_exists( 'IPGivay_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPGivay_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
        ?>
            <div id="ipgivay-admin" class="wrap ipadm-wrap ipgivay-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipgivay-page-title">
                            <h1><?php _e( 'WP EZ Viral Contest', 'ipgivay' ); ?></h1>
                        </div>
                        <div class="ipgivay-page-subtitle">
                            <h3><?php _e( 'All Contests', 'ipgivay' ); ?></h3>
                        </div>
                    </div>
                    
                    <?php
                    if ( isset( $_GET['add'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully add a contest.', 'ipgivay' ); ?>
                    </div>
                    <?php
                    elseif ( isset( $_GET['delete'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully deleting a contest.', 'ipgivay' ); ?>
                    </div>
                    <?php
                    endif;
                    ?>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                
                                <div class="ipadm-table ipgivay-table-lead">
                                    <?php
                                    require_once( plugin_dir_path( __FILE__ ) . "admin-table.php" );
                                    $paginArgs = array(
                                        "per_page" => 20 
                                    );
                                    $table = new IPGivay_AdminTable();
                                    $table->prepare_items();
                                    $table->display();
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
                
                <div id="ipgivay-modal-message-overlay" style="display:none;">
                    <div id="ipgivay-modal-message"></div>
                </div>
                <div id="ipgivay-modal-confirm-overlay" style="display:none;">
                    <div id="ipgivay-modal-confirm">
                        <div class="ipgivay-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipgivay' ); ?></h3>
                        </div>
                        <div class="ipgivay-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipgivay' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipgivay-accept"><?php _e( 'Yes', 'ipgivay' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipgivay-deny"><?php _e( 'No', 'ipgivay' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add style
         *
         * @return void
         */
        public function add()
        {
            $this->manage();
        }
        
        /**
         * Show content admin edit style
         *
         * @return void
         */
        public function edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipgivay') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $style = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipgivay') );
            }
            $this->manage( $style );
        }
        
        /**
         * Show content admin manage style
         *
         * @return void
         */
        public function manage( $give = false )
        {
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            $giveId = 0;
            if ( $give ) {
                $giveId = $give->ID;
            }
            $setting = new IPGivay_Setting( $giveId, '__ipgivay-setting' );
            
            if ( $give ) 
            {
                $pageTitle = __( 'Edit Contest', 'ipgivay' );
                $submit    = __( 'Save Change', 'ipgivay' );
                $submitId  = 'ipgivay-edit-give';
                
            } else 
            {
                $pageTitle = __( 'Add Contest', 'ipgivay' );
                $submit    = __( 'Add Contest', 'ipgivay' );
                $submitId  = 'ipgivay-save-give';
            }
            
            $tab = 'ipgivay-tab-general';
            if ( ! empty( $_REQUEST['tab'] )) {
                $tab = $_REQUEST['tab'];
            }
        ?>
            <div id="ipgivay-admin" class="wrap ipadm-wrap ipgivay-admin">
                <script type="text/javascript">
                    var ipgivay_imgurl = '<?php echo IPGIVAY_BASE_URL . 'img/'; ?>';
                </script>
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipgivay-page-title">
                            <h1><?php _e( 'WP EZ Viral Contest', 'ipgivay' ); ?></h1>
                        </div>
                        <div class="ipgivay-page-subtitle">
                            <h3><?php echo $pageTitle; ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                <div id="ipadm-messages"></div>
                                <form enctype="multipart/form-data" action="#ipgivay-admin" method="post">

                                    <input type="hidden" name="giveid" id="ipgivay-value-giveid" value="<?php echo $giveId; ?>" />
                                    
                                    <div class="ipadm-clear">
                                        <div class="ipgivay-manage-main">
                                            
                                            <?php
                                            //Title
                                            ?>
                                            <div id="ipgivay-field-title" class="ipadm-field-row">
                                                <?php
                                                $title = '';
                                                if ( $give ) {
                                                    $title = $give->post_title;
                                                }
                                                ?>
                                                <input class="ipadm-input ipadm-input-large ipadm-input-full" type="text" id="input-title" value="<?php echo $title; ?>" size="30" name="title" placeholder="<?php _e( 'Enter title here', 'ipgivay' ); ?>">
                                            </div>

    <?php
    $class = 'ipadm-field';
    if ( ! $give ) {
        $class .= ' ipadm-hide';
    }
    $slug = '';
    if ( $give ) {
        $slug = $give->post_name;
    }
    $base = get_option( '_ipgivay_page_base_url', 'contest' );
    
    if ( get_option( 'permalink_structure' ) ) :
    ?>
    <div id="ipadm-field-slug" class="<?php echo $class; ?>">
        <span class="ipgivay-permalink">
            <strong>Permalink:</strong> 
            <span class="ipgivay-permalink-value">
                <?php echo get_home_url() . '/'; ?><span id="ipgivay-prefix-perma"><?php echo $base; ?></span>/<span id="ipgivay-slug-value"><?php echo $slug; ?></span><span id="ipgivay-slug-input" class="ipadm-hide"><input class="ipadm-input ipadm-input-small" type="text" name="slug" value="<?php echo $slug; ?>" /></span>/
            </span>
        </span>
        <a id="ipgivay-save-slug" href="#" title="<?php _e( 'Ok', 'ipgivay' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default" style="display: none;">
            <?php _e( 'Ok', 'ipgivay' ); ?>
        </a>
        <a id="ipgivay-cancel-save-slug" href="#" title="<?php _e( 'Cancel', 'ipgivay' ); ?>" style="display: none;">
            <?php _e( 'Cancel', 'ipgivay' ); ?>
        </a>
        <a id="ipgivay-edit-slug" href="#" title="<?php _e( 'Edit', 'ipgivay' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
            <?php _e( 'Edit', 'ipgivay' ); ?>
        </a>
        <?php
        if ( $page ) :
            $viewurl = get_home_url() . "/$base" . "/$slug/";
        ?>
            <a id="ipgivay-view-page" href="<?php echo $viewurl; ?>" title="<?php _e( 'View', 'ipgivay' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
                <?php _e( 'View', 'ipgivay' ); ?>
            </a>
        <?php
        endif;
        ?>
    </div>
    
    <?php
    else:
    ?>
    
    <div id="ipadm-field-slug" class="<?php echo $class; ?> ipgivay-permalink-default">
        <span class="ipgivay-permalink">
            <strong>Permalink:</strong> 
            <span class="ipgivay-permalink-value">
                <?php echo get_home_url() . '?leadid='; ?><span class="ipgivay-link-id"><?php echo $page->ID; ?></span>
            </span>
        </span>
        <a href="options-permalink.php" title="<?php _e( 'Change Permalinks', 'ipgivay' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
            <?php _e( 'Change Permalinks', 'ipgivay' ); ?>
        </a>
        <?php
        if ( $page ) :
            $viewurl = get_home_url() . '?leadid=' . $page->ID;
        ?>
            <a id="ipgivay-view-page" href="<?php echo $viewurl; ?>" title="<?php _e( 'View', 'ipgivay' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
                <?php _e( 'View', 'ipgivay' ); ?>
            </a>
        <?php
        endif;
        ?>
    </div>
    
    <?php
    endif;
    ?>

                                            
                                            <?php
                                            //Fields main
                                            ?>
                                            <div class="ipgivay-fields-main">
                                            
                                                <div class="ipgivay-manage-tab">
                                                    <input type="hidden" name="tab_selected" id="ipgivay-tab-selected" value="<?php echo $tab; ?>" />
                                                    <div class="ipgivay-tab-nav">
                                                        <ul>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-general">
                                                                    <i class="faip fa-cog"></i>
                                                                    <span><?php _e( 'General', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-content">
                                                                    <i class="faip fa-file-text-o"></i>
                                                                    <span><?php _e( 'Content', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-email">
                                                                    <i class="faip fa-envelope"></i>
                                                                    <span><?php _e( 'Form', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-design">
                                                                    <i class="faip fa-desktop"></i>
                                                                    <span><?php _e( 'Design', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-social">
                                                                    <i class="faip fa-share-alt"></i>
                                                                    <span><?php _e( 'Share', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <?php
                                                            if ( $give ) :
                                                            ?>
                                                            <li class="ipgivay-tab-menu">
                                                                <a href="#ipgivay-tab-award">
                                                                    <i class="faip fa-trophy"></i>
                                                                    <span><?php _e( 'Award', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipgivay-tab-menu tab-menu-right">
                                                                <a href="#ipgivay-tab-statistic">
                                                                    <i class="faip fa-bar-chart-o"></i>
                                                                    <span><?php _e( 'Statistic', 'ipgivay' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <?php
                                                            endif;
                                                            ?>
                                                        </ul>
                                                    </div>
                                                    <div class="ipgivay-tab-sections">
                                                        <?php
                                                        $this->_tabGeneral( $setting, $give );
                                                        $this->_tabContent( $setting, $give );
                                                        $this->_tabEmail( $setting, $give );
                                                        $this->_tabDesign( $setting, $give );
                                                        $this->_tabSocial( $setting, $give );
                                                        if ( $give ) {
                                                            $this->_tabAward( $setting, $give );
                                                            $this->_tabStatistic( $setting, $give );
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                                <div class="ipgivay-manage-footer clearfix">
                                                    <button type="button" id="<?php echo $submitId; ?>" class="ipadm-btn ipadm-btn-primary ipadm-btn-large"><?php echo $submit; ?></button>
                                                    <?php
                                                    if ( $give ) :
                                                    ?>
                                                    <a href="#toDelete_<?php echo $give->ID; ?>" class="ipgivay-give-delete ipgivay-del-edit ipadm-btn ipadm-btn-danger ipadm-btn-large">
                                                        <?php _e( 'Delete', 'ipgivay' ); ?>
                                                    </a>
                                                    <?php
                                                    endif;
                                                    ?>
                                                </div>
                                            </div>
                                            
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="ipgivay-modal-message-overlay" style="display:none;">
                    <div id="ipgivay-modal-message"></div>
                </div>
                <div id="ipgivay-modal-confirm-overlay" style="display:none;">
                    <div id="ipgivay-modal-confirm">
                        <div class="ipgivay-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipgivay' ); ?></h3>
                        </div>
                        <div class="ipgivay-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipgivay' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipgivay-accept"><?php _e( 'Yes', 'ipgivay' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipgivay-deny"><?php _e( 'No', 'ipgivay' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="ipgivay-modal-loader-overlay" style="display:none;">
                    <div id="ipgivay-modal-loader">
                        <div class="ipgivay-modal-content"<?php echo $this->font_text; ?>>
                            <img src="<?php echo IPGIVAY_BASE_URL; ?>img/loading.gif" alt="Loading...">
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab general
         *
         * @return void
         */
        protected function _tabGeneral( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-general">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'General Settings', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'General settings for content share.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">
                
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page"><?php _e( 'Active/Disable Contest', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'status', 'true' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="status" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page"><?php _e( 'Starts', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $date = $setting->getSetting( 'start_date', current_time( 'Y-m-d' ) );
                            $time = $setting->getSetting( 'start_time', current_time( 'h:i' ) );
                            ?>
                            <div class="ipgivay-datepicker-wrap">
                                <input class="ipadm-input ipgivay-datepicker" type="text" id="input-start-date" value="<?php echo $date; ?>" size="30" name="start_date">
                                <span class="add-on">
                                    <i class="faip fa-calendar"></i>
                                </span>
                            </div>
                            @
                            <div class="ipgivay-timepicker-wrap">
                                <input class="ipadm-input ipgivay-timepicker" type="text" id="input-start-time" value="<?php echo $time; ?>" size="30" name="start_time">
                                <span class="add-on">
                                    <i class="faip fa-clock-o"></i>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page"><?php _e( 'Ends', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $date = $setting->getSetting( 'end_date', current_time( 'Y-m-d' ) );
                            $time = $setting->getSetting( 'end_time', current_time( 'h:i' ) );
                            ?>
                            <div class="ipgivay-datepicker-wrap">
                                <input class="ipadm-input ipgivay-datepicker" type="text" id="input-end-date" value="<?php echo $date; ?>" size="30" name="end_date">
                                <span class="add-on">
                                    <i class="faip fa-calendar"></i>
                                </span>
                            </div>
                            @
                            <div class="ipgivay-timepicker-wrap">
                                <input class="ipadm-input ipgivay-timepicker" type="text" id="input-end-time" value="<?php echo $time; ?>" size="30" name="end_time">
                                <span class="add-on">
                                    <i class="faip fa-clock-o"></i>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page"><?php _e( 'Awarded', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $date = $setting->getSetting( 'award_date', current_time( 'Y-m-d' ) );
                            $time = $setting->getSetting( 'award_time', current_time( 'h:i' ) );
                            ?>
                            <div class="ipgivay-datepicker-wrap">
                                <input class="ipadm-input ipgivay-datepicker" type="text" id="input-award-date" value="<?php echo $date; ?>" size="30" name="award_date">
                                <span class="add-on">
                                    <i class="faip fa-calendar"></i>
                                </span>
                            </div>
                            @
                            <div class="ipgivay-timepicker-wrap">
                                <input class="ipadm-input ipgivay-timepicker" type="text" id="input-award-time" value="<?php echo $time; ?>" size="30" name="award_time">
                                <span class="add-on">
                                    <i class="faip fa-clock-o"></i>
                                </span>
                            </div>
                        </div>
                    </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize-winners"><?php _e( 'Winners', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $winners = $setting->getSetting( 'prize_winners', '' );
                                ?>
                                <input class="ipadm-input ipgivay-input-xs" type="text" id="input-prize-winners" value="<?php echo $winners; ?>" size="30" name="prize_winners">
                                <p class="ipgivay-input-info"><em><?php _e( 'Number of winners to draw.', 'ipgivay' ); ?></em></p>
                            </div>
                        </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page"><?php _e( 'Member Restricted', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'member_restricted', 'false' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="member_restricted" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab content
         *
         * @return void
         */
        protected function _tabContent( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-content">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Content', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Adjusting the content to be placed in the contest page.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-description"><?php _e( 'Description', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $content = '';
                            if ( $give ) {
                                $content = $give->post_content;
                            }
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            wp_editor( $content, 'description', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                            <p class="ipgivay-input-info"><em><?php _e( 'General description of the  contest', 'ipgivay' ); ?></em></p>
                        </div>
                    </div>
                    <?php
                    //Content Gift
                    ?>
                    <div id="ipgivay-field-content-gift" class="ipgivay-field-content"<?php echo $dsp_gift; ?>>
                    
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize-name"><?php _e( 'Prize Name', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $name = stripslashes( $setting->getSetting( 'prize_name', '' ));
                                ?>
                                <input class="ipadm-input ipgivay-input-lg" type="text" id="input-prize-name" value="<?php echo $name; ?>" size="30" name="prize_name">
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize-brand"><?php _e( 'Prize Brand', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $brand = stripslashes( $setting->getSetting( 'prize_brand', '' ));
                                ?>
                                <input class="ipadm-input ipgivay-input-lg" type="text" id="input-prize-brand" value="<?php echo $brand; ?>" size="30" name="prize_brand">
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize_description"><?php _e( 'Prize Description', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'prize_description', '' ));
                                    wp_editor( $content, 'prize_description', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize-image"><?php _e( 'Prize Image', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <div class="ipadm-input-wrap ipadm-clear ipgivay-input-upload">
                                    <div class="ipgivay-image-preview">
                                        <?php
                                        $setimg = false;
                                        if ( $setting ) {
                                            if ( $attach_id = $setting->getSetting( 'prize_image' ) ) {
                                                $setimg = true;
                                                $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                            }
                                        }
                                        if ( $setimg ) {
                                            echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                            $reset_dsp = '';
                                        } else {
                                            echo '<div class="none">' . __( 'No image', 'ipgivay' ) . '</div>';
                                            $reset_dsp = ' style="display:none;"';
                                        }
                                        ?>
                                    </div>
                                    <div class="ipgivay-image-upload">
                                        <input class="ipgivay-input-upload" type="file" name="prize_image_file" />
                                        <div class="ipgivay-btn-wrap">
                                            <input class="button ipgivay-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipgivay' ); ?>" />
                                            <a class="ipgivay-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                                <?php _e( 'Clear Photo', 'ipgivay' ); ?>
                                            </a>
                                        </div>
                                        <input type="hidden" name="upload_type" class="ipgivay-upload-type" value="ipgivay_prize_image" />
                                        <input type="hidden" name="prize_image" class="ipgivay-photo-id" value="<?php echo $attach_id; ?>" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-prize-value"><?php _e( 'Prize Value', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $value = stripslashes( $setting->getSetting( 'prize_value', '' ));
                                ?>
                                <input class="ipadm-input" type="text" id="input-prize-value" value="<?php echo $value; ?>" size="30" name="prize_value">
                            </div>
                        </div>
                    </div>
                    
                    <?php
                    //Content General
                    ?>
                    <div class="ipgivay-field-general">
                    
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-page"><?php _e( 'Rules', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'rules', '' ));
                                    wp_editor( $content, 'rules', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                            </div>
                        </div>
                        
                        <div class="ipgivay-section-group">
                            <h4 class="ipgivay-section-gtitle"><?php _e( 'Questions', 'ipgivay' ); ?></h4>
                            <div class="ipgivay-section-gfields">
                                <p><?php _e( 'Enter a really easy question used to quality people before entering. You want people to be able to get it without too much thinking. This helps increase the conversion rate.', 'ipgivay' ); ?></p>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-page"><?php _e( 'Active/Disable Question', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'question_activate', 'true' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="question_activate" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                    
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-question"><?php _e( 'Question', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $question = stripslashes( $setting->getSetting( 'question', '' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-question" name="question"><?php echo $question; ?></textarea>
                                    </div>
                                </div>
                    
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-right-answer"><?php _e( 'Correct Answer', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $right = stripslashes( $setting->getSetting( 'right_answer', '' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-right-answer" value="<?php echo $right; ?>" size="30" name="right_answer"></p>
                                    </div>
                                </div>
                    
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-wrong-answer-1"><?php _e( 'Wrong Answers', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $answer1 = stripslashes( $setting->getSetting( 'wrong_answer_1', '' ));
                                        $answer2 = stripslashes( $setting->getSetting( 'wrong_answer_2', '' ));
                                        $answer3 = stripslashes( $setting->getSetting( 'wrong_answer_3', '' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-wrong-answer-1" value="<?php echo $answer1; ?>" size="30" name="wrong_answer_1" placeholder="Wrong Answer #1"></p>
                                        <p><input class="ipadm-input" type="text" id="input-wrong-answer-2" value="<?php echo $answer2; ?>" size="30" name="wrong_answer_2" placeholder="Wrong Answer #2"></p>
                                        <p><input class="ipadm-input" type="text" id="input-wrong-answer-3" value="<?php echo $answer3; ?>" size="30" name="wrong_answer_3" placeholder="Wrong Answer #3"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-question-button"><?php _e( 'Button Text', 'ipcoshare' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $text = stripslashes( $setting->getSetting( 'question_button', '' ));
                                        ?>
                                        <input class="ipadm-input" type="text" id="input-question-button" value="<?php echo $text; ?>" size="30" name="question_button">
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        
                        <div class="ipgivay-section-group">
                            <h4 class="ipgivay-section-gtitle"><?php _e( 'Contest Content', 'ipgivay' ); ?></h4>
                            <div class="ipgivay-section-gfields">
                                <p><?php _e( 'The part that manages the content of the part that serves to join contest.', 'ipgivay' ); ?></p>
                    
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-getgift-title"><?php _e( 'Join Contest Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'get_gift_title', 'Follow The Contest' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-getgift-title" value="<?php echo $title; ?>" size="30" name="get_gift_title"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-already-gift-title"><?php _e( 'Already Join Contest Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'already_gift_title', 'Already Join Contest' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-already-gift-title" value="<?php echo $title; ?>" size="30" name="already_gift_title"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-not-gift-title"><?php _e( 'Contest Not Started Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'not_started_gift_title', 'Contest Not Started' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-not-gift-title" value="<?php echo $title; ?>" size="30" name="not_started_gift_title"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-ends-gift-title"><?php _e( 'Contest Ends Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'ends_gift_title', 'Contest Ends' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-ends-gift-title" value="<?php echo $title; ?>" size="30" name="ends_gift_title"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-step-q-title"><?php _e( 'Step Question Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'step_question_title', '' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-step-q-title" value="<?php echo $title; ?>" size="30" name="step_question_title"></p>
                                    </div>
                                </div>
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-step-e-title"><?php _e( 'Step Email Title', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'step_email_title', '' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-step-e-title" value="<?php echo $title; ?>" size="30" name="step_email_title"></p>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        
                        <div class="ipgivay-section-group">
                            <h4 class="ipgivay-section-gtitle"><?php _e( 'Error Content', 'ipgivay' ); ?></h4>
                            <div class="ipgivay-section-gfields">
                                <p><?php _e( 'The part that manages the content for error page.', 'ipgivay' ); ?></p>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-notstart-info"><?php _e( 'Not Start Info', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'notstart_info', '' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-notstart-info" name="notstart_info"><?php echo $info; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'Informative content that will be displayed when the contest has not started.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-finished-info"><?php _e( 'Finished Info', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'finished_info', '' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-finished-info" name="finished_info"><?php echo $info; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'Informative content that will be displayed when the contest has finished.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-already-get-info"><?php _e( 'Already Info', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'already_get_info', '' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-already-get-info" name="already_get_info"><?php echo $info; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'Informative content that will be displayed when the user has previously tried to join contest.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-after-get-info"><?php _e( 'After Join Contest Info', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $msg = stripslashes( $setting->getSetting( 'after_get_info', '' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-after-get-info" name="after_get_info"><?php echo $msg; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'Informative content that will be displayed after the user successfully join the contest.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-ermsg-email"><?php _e( 'Email Not Set Message', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $msg = stripslashes( $setting->getSetting( 'ermsg_email_notset', 'You must fill in your email address to join the contest' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-ermsg-email" name="ermsg_email_notset"><?php echo $msg; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'The message is displayed when the user does not enter email address when will join the contest.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-ermsg-answer"><?php _e( 'Answer Not Set Message', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $msg = stripslashes( $setting->getSetting( 'ermsg_answer_notset', 'To join the contest you have to answer the question first' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-ermsg-answer" name="ermsg_answer_notset"><?php echo $msg; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'The message is displayed when the user does not select answer when will join the contest.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                    <div class="ipadm-label">
                                        <label for="input-ermsg-wrong"><?php _e( 'Wrong Answer Message', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $msg = stripslashes( $setting->getSetting( 'ermsg_answer_wrong', 'Sorry you have the wrong answers so you can not join the contest, please try again' ));
                                        ?>
                                        <textarea class="ipadm-input" id="input-ermsg-wrong" name="ermsg_answer_wrong"><?php echo $msg; ?></textarea>
                                        <p class="ipgivay-input-info"><em><?php _e( 'The message is displayed when the user does not answer the question correctly when will join the contest.', 'ipgivay' ); ?></em></p>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab email
         *
         * @return void
         */
        protected function _tabEmail( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-email">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Email', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Set the form that serves to get email data.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">

                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-autoresponder"><?php _e( 'Autoresponder', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group ipgivay-radio-aresp">
                                <?php
                                $val = $setting->getSetting( 'autoresponder', 'true' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="autoresponder" value="<?php echo $val; ?>" />
                            </div>
                            <p class="ipgivay-input-info"><em><?php _e( 'Are you going to use the form of an autoresponder to get an email from a user? If you are set to off then the form will use the provided plugins.', 'ipgivay' ); ?></em></p>
                        </div>
                    </div>
                    
                    <div id="ipgivay-form-email-manual" style="display:none;">
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-email-label"><?php _e( 'Field Email Label', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $label = stripslashes( $setting->getSetting( 'field_email_label', '' ));
                                ?>
                                <input class="ipadm-input" type="text" id="input-email-label" value="<?php echo $label; ?>" size="30" name="field_email_label">
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-name-label"><?php _e( 'Field Name', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $label = stripslashes( $setting->getSetting( 'field_name_label', '' ));
                                ?>
                                <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                    <?php
                                    $val = $setting->getSetting( 'field_name', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' button-primary active';
                                    } else {
                                        $clon  = ' button-primary active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                    <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                    <input type="hidden" class="ipadm-av-value" name="field_name" value="<?php echo $val; ?>" />
                                </div>
                                <input class="ipadm-input" type="text" id="input-name-label" value="<?php echo $label; ?>" size="30" name="field_name_label" placeholder="<?php _e( 'Field Label', 'ipgivay
                                '); ?>">
                            </div>
                        </div>
                        <?php
                        /*
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-url-label"><?php _e( 'Field URL', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $label = stripslashes( $setting->getSetting( 'field_url_label', '' ));
                                ?>
                                <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                    <?php
                                    $val = $setting->getSetting( 'field_url', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' button-primary active';
                                    } else {
                                        $clon  = ' button-primary active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                    <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                    <input type="hidden" class="ipadm-av-value" name="field_url" value="<?php echo $val; ?>" />
                                </div>
                                <input class="ipadm-input" type="text" id="input-url-label" value="<?php echo $label; ?>" size="30" name="field_url_label" placeholder="<?php _e( 'Field Label', 'ipgivay
                                '); ?>">
                            </div>
                        </div>
                        */
                        ?>
                    </div>
                    
                    <div id="ipgivay-form-autoresponder">
                    
                        <div id="ipgivay-autoresponder-code" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-autoresponder-code"><?php _e( 'Autoresponder Form Code', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $code = $setting->getSetting( 'autoresponder_code', '' );
                                ?>
                                <textarea class="ipadm-input ipgivay-input-optin" id="input-autoresponder-code" name="autoresponder_code"><?php echo $code; ?></textarea>
                            </div>
                        </div>
                        <?php
                        $hdisplay = ' style="display:none;"';
                        if ( ! empty( $code ) ) {
                            $hdisplay = '';
                        }
                        $data = IPGivay_Form::parse( $code );
                        ?>
                        <div id="ipgivay-autoresponder-settings" class="ipgivay-optin-settings"<?php echo $hdisplay; ?>>
                        
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-aresp-action"><?php _e( 'Form Action URL', 'ipgivay' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $action = $setting->getSetting( 'autoresponder_action', $data['action'] );
                                    ?>
                                    <input class="ipadm-input ipgivay-optin-action" type="text" id="input-aresp-action" value="<?php echo $action; ?>" size="30" name="autoresponder_action">
                                </div>
                            </div>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-aresp-field-email"><?php _e( 'Form Email Field', 'ipgivay' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select name="autoresponder_email" id="input-aresp-field-email">
                                        <option value="0">-- <?php _e( 'Select field', 'ipgivay' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'autoresponder_email', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'autoresponder_email_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-aresp-email-label" value="<?php echo $label; ?>" size="30" name="autoresponder_email_label" placeholder="<?php _e( 'Input email label', 'ipgivay' ); ?>">
                                </div>
                            </div>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-aresp-field-name"><?php _e( 'Form Name Field', 'ipgivay' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                        <?php
                                        $val = $setting->getSetting( 'autoresponder_name_on', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' button-primary active';
                                        } else {
                                            $clon  = ' button-primary active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                        <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                        <input type="hidden" class="ipadm-av-value" name="autoresponder_name_on" value="<?php echo $val; ?>" />
                                    </div>
                                    <select name="autoresponder_name" id="input-aresp-field-name">
                                        <option value="0">-- <?php _e( 'Select field', 'ipgivay' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'autoresponder_name', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'autoresponder_name_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-aresp-email-label" value="<?php echo $label; ?>" size="30" name="autoresponder_name_label" placeholder="<?php _e( 'Input name label', 'ipgivay' ); ?>">
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-email-button"><?php _e( 'Button Text', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'email_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-email-button" value="<?php echo $text; ?>" size="30" name="email_button">
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-form-label"><?php _e( 'Form Label', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'form_label', 'false' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'Show', 'ipgivay' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Hide', 'ipgivay' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="form_label" value="<?php echo $val; ?>" />
                            </div>
                            <p class="ipgivay-input-info"><em><?php _e( 'If set to hide the label form will be displayed as a placeholder in the input.', 'ipgivay' ); ?></em></p>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab design
         *
         * @return void
         */
        protected function _tabDesign( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-design">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Design', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the contest page.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">

                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-template"><?php _e( 'Template', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="template" id="input-template">
                            <?php
                            $template = stripslashes( $setting->getSetting( 'template', '' ));
                            $options  = array(
                                1    => __( 'Template 1', 'ipgivay' ),
                                2    => __( 'Template 2', 'ipgivay' )
                            );
                            foreach( $options as $key => $label ) 
                            {
                                $sltd = '';
                                if ( $key == $template ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-color-theme"><?php _e( 'Color Theme', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="color_theme" id="input-color-theme">
                            <?php
                            $color   = stripslashes( $setting->getSetting( 'color_theme', '' ));
                            $options = array(
                                'grey'      => __( 'Grey', 'ipgivay' ),
                                'dark'      => __( 'Dark', 'ipgivay' ),
                                'blue'      => __( 'Blue', 'ipgivay' )
                            );
                            foreach( $options as $key => $label ) 
                            {
                                $sltd = '';
                                if ( $key == $color ) {
                                    $sltd = ' selected="selected"';
                                }
                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                            }
                            ?>
                            </select>
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-font-size"><?php _e( 'Font Size', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            
                            <div class="ipadm-input-wrap">
                                <select name="font_size" id="input-font-size">
                                    <option value="0">-- <?php _e( 'Size', 'ipgivay' ); ?> --</option>
                                    <?php
                                    $current = $setting->getSetting( 'font_size', 'medium' );
                                    $sizes   = array(
                                        'small'  => __( 'Small', 'ipgivay' ),
                                        'medium' => __( 'Medium', 'ipgivay' ),
                                        'large'  => __( 'Large', 'ipgivay' )
                                    );
                                    foreach( $sizes as $key => $label )
                                    {
                                        $sltd = '';
                                        if ( $current == $key ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-font"><?php _e( 'Title Font Family', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $current = $setting->getSetting( 'title_font_family', 'roboto' );
                                $fonts   = IPGivay_Font::getOptions();
                                $fname   = IPGivay_Font::getFontName( $current );
                                ?>
                                <span class="ipadm-font-family">
                                    <div class="ipadm-menu ipadm-gen-menu">
                                        <div class="ipadm-selected">
                                            <div class="ipadm-selected-box">
                                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipadm-select" style="display: none;">
                                            <div class="ipadm-select-content">
                                        <ul class="clearfix">
                                            <?php 
                                            foreach( $fonts as $key => $label ) :
                                            ?>
                                                <li data-select="<?php echo $key; ?>">
                                                    <strong class="ipadm-select-label">
                                                        <?php echo $label; ?>
                                                    </strong>
                                                </li>
                                            <?php
                                            endforeach;
                                            ?>
                                        </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="title_font_family" class="ipadm-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-font"><?php _e( 'Text Font Family', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $current = $setting->getSetting( 'text_font_family', 'roboto' );
                                $fonts   = IPGivay_Font::getOptions();
                                $fname   = IPGivay_Font::getFontName( $current );
                                ?>
                                <span class="ipadm-font-family">
                                    <div class="ipadm-menu ipadm-gen-menu">
                                        <div class="ipadm-selected">
                                            <div class="ipadm-selected-box">
                                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipadm-select" style="display: none;">
                                            <div class="ipadm-select-content">
                                        <ul class="clearfix">
                                            <?php 
                                            foreach( $fonts as $key => $label ) :
                                            ?>
                                                <li data-select="<?php echo $key; ?>">
                                                    <strong class="ipadm-select-label">
                                                        <?php echo $label; ?>
                                                    </strong>
                                                </li>
                                            <?php
                                            endforeach;
                                            ?>
                                        </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="text_font_family" class="ipadm-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                            </div>
                        </div>
                    </div>

                    <?php
                    $btnSizes = array(
                        'xs'  => __( 'Extra Small', 'ipgivay' ),
                        'sm'  => __( 'Small', 'ipgivay' ),
                        'md'  => __( 'Medium', 'ipgivay' ),
                        'lg'  => __( 'Large', 'ipgivay' ),
                    );
                    $btnStyles = array(
                        'flat'     => __( 'Flat', 'ipgivay' ),
                        'gradient' => __( 'Gradient', 'ipgivay' ),
                        'rounded'  => __( 'Rounded', 'ipgivay' ),
                    );
                    $btnColors = array(
                        'clean'    => __( 'Clean', 'ipgivay' ),
                        'dark'     => __( 'Dark', 'ipgivay' ),
                        'red'      => __( 'Red', 'ipgivay' ),
                        'blue'     => __( 'Blue', 'ipgivay' ),
                        'green'    => __( 'Green', 'ipgivay' ),
                        'orange'   => __( 'Orange', 'ipgivay' ),
                        'gold'     => __( 'Gold', 'ipgivay' ),
                        'aqua'     => __( 'Aqua', 'ipgivay' ),
                        'purple'   => __( 'Purple', 'ipgivay' ),
                        'lime'     => __( 'Lime', 'ipgivay' ),
                    );
                    ?>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-button-style"><?php _e( 'Button Style', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="button_style" id="input-button-style">
                                <option value="0">-- <?php _e( 'Style', 'ipgivay' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_style', 'flat' );
                                foreach( $btnStyles as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                            <select name="button_color" id="input-button-color">
                                <option value="0">-- <?php _e( 'Color', 'ipgivay' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_color', 'clean' );
                                foreach( $btnColors as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                            <select name="button_size" id="input-button-size">
                                <option value="0">-- <?php _e( 'Size', 'ipgivay' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_size', 'md' );
                                foreach( $btnSizes as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-logo"><?php _e( 'Logo', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipgivay-input-upload">
                                <div class="ipgivay-image-preview">
                                    <?php
                                    $setimg = false;
                                    if ( $setting ) {
                                        if ( $attach_id = $setting->getSetting( 'logo' ) ) {
                                            $setimg = true;
                                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                        }
                                    }
                                    if ( $setimg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipgivay' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipgivay-image-upload">
                                    <input class="ipgivay-input-upload" type="file" name="logo_file" />
                                    <div class="ipgivay-btn-wrap">
                                        <input class="button ipgivay-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipgivay' ); ?>" />
                                        <a class="ipgivay-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                        <?php _e( 'Clear Photo', 'ipgivay' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipgivay-upload-type" value="ipgivay_logo" />
                                    <input type="hidden" name="logo" class="ipgivay-photo-id" value="<?php echo $attach_id; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-prize-image"><?php _e( 'Background Image', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipgivay-input-upload">
                                <div class="ipgivay-image-preview">
                                    <?php
                                    $setimg = false;
                                    if ( $setting ) {
                                        if ( $attach_id = $setting->getSetting( 'background_image' ) ) {
                                            $setimg = true;
                                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                        }
                                    }
                                    if ( $setimg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipgivay' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipgivay-image-upload">
                                    <input class="ipgivay-input-upload" type="file" name="background_image_file" />
                                    <div class="ipgivay-btn-wrap">
                                        <input class="button ipgivay-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipgivay' ); ?>" />
                                        <a class="ipgivay-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                        <?php _e( 'Clear Photo', 'ipgivay' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipgivay-upload-type" value="ipgivay_background_image" />
                                    <input type="hidden" name="background_image" class="ipgivay-photo-id" value="<?php echo $attach_id; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-background-repeat"><?php _e( 'Background Repeat', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            
                            <div class="ipadm-input-wrap">
                                <select name="background_repeat" id="input-background-repeat">
                                    <?php
                                    $current = $setting->getSetting( 'background_repeat', 'no-repeat' );
                                    $options = array(
                                        'no-repeat' => __( 'No Repeat', 'ipgivay' ),
                                        'repeat'    => __( 'Repeat All', 'ipgivay' ),
                                        'repeat-x'  => __( 'Repeat Horizontally', 'ipgivay' ),
                                        'repeat-y'  => __( 'Repeat Vertically', 'ipgivay' ),
                                    );
                                    foreach( $options as $key => $label )
                                    {
                                        $sltd = '';
                                        if ( $current == $key ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab social
         *
         * @return void
         */
        protected function _tabSocial( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-social">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Share', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Organize share button will be added to the contest page.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">

                    <h4 class="ipgivay-box-title"><?php _e( 'Share Button', 'ipgivay' ); ?></h4>
                    <p><?php _e( 'Select one or more share button that you want to display on the contest below.', 'ipgivay' ); ?></p>
                    
                    <div class="ipgivay-social-settings">
                        <ul>
                            <?php
                            $social = array(
                                'facebook'      => 'Facebook',
                                'twitter'       => 'Twitter',
                                'google-plus'   => 'Google+',
                                'linkedin'      => 'LinkedIn',
                                'tumblr'        => 'Tumblr',
                                'pinterest'     => 'Pinterest',
                                'stumbleupon'   => 'Stumble Upon',
                                'digg'          => 'Digg',
                                'email'         => 'Email'
                            );
                            foreach( $social as $key => $label ) {
                                $value = $setting->getSetting( 'social_'.$key, 'on' );
                                $class = 'inactive';
                                if ( $value == 'on' ) {
                                    $class = "active";
                                }
                                if ( $key == 'email' ) {
                                    $icon = 'envelope';
                                } else {
                                    $icon = $key;
                                }
                            ?>
                                <li>
                                    <a class="<?php echo $class; ?>" href="#<?php echo $key; ?>">
                                        <i class="faip fa-<?php echo $icon; ?>"></i>
                                        <span><?php echo $label; ?></span>
                                        <input type="hidden" name="social_<?php echo $key; ?>" value="<?php echo $value; ?>" />
                                    </a>
                                </li>
                            <?php
                            }
                            ?>
                        </ul>
                    </div>
                    
                    <div class="ipgivay-social-icon">
                        <h4 class="ipgivay-box-title"><?php _e( 'Options', 'ipgivay' ); ?></h4>
                        
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-button-text"><?php _e( 'Active/Disable Share Button', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                            
                                <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                    <?php
                                    $val = $setting->getSetting( 'social_show', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' button-primary active';
                                    } else {
                                        $clon  = ' button-primary active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipgivay' ); ?></button>
                                    <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipgivay' ); ?></button>
                                    <input type="hidden" class="ipadm-av-value" name="social_show" value="<?php echo $val; ?>" />
                                </div>
                            
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-share-title"><?php _e( 'Title', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $title = stripslashes( $setting->getSetting( 'share_title', 'Share Contest' ));
                                ?>
                                <p><input class="ipadm-input" type="text" id="input-share-title" value="<?php echo $title; ?>" size="30" name="share_title"></p>
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-share-info"><?php _e( 'Info', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $info = stripslashes( $setting->getSetting( 'share_info' ));
                                ?>
                                <textarea class="ipadm-input" id="input-share-info" name="share_info"><?php echo $info; ?></textarea>
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-share-email-content"><?php _e( 'Share Email Content', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $content = stripslashes( $setting->getSetting( 'share_email_content' ));
                                ?>
                                <textarea class="ipadm-input" id="input-share-email-content" name="share_email_content"><?php echo $content; ?></textarea>
                                <p class="ipgivay-input-info"><em><?php _e( 'Use code {link} which will be replaced with a referral link.', 'ipgivay' ); ?></em></p>
                            </div>
                        </div>
                        <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-social-icon"><?php _e( 'Icon Style', 'ipgivay' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <select name="social_icon" id="input-social-icon">
                                    <?php
                                    $icon    = $setting->getSetting( 'social_icon', 'square_flat' );
                                    $options = array(
                                        'square_flat'   => __( 'Square Flat' ),
                                        'round_flat'    => __( 'Round Flat' )
                                    );
                                    foreach( $options as $no => $label ) {
                                        $sltd = '';
                                        if ( $no == $icon ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $no . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                                <div class="ipgivay-icon-preview">
                                    <h4><?php _e( 'Preview', 'ipgivay' ); ?></h4>
                                    <div class="ipgivay-icon-list ipadm-clear">
                                        <?php
                                        $socials = array(
                                            'facebook',
                                            'twitter',
                                            'linkedin',
                                            'pinterest',
                                            'googleplus',
                                            'tumblr',
                                            'stumbleupon',
                                            'digg',
                                            'email'
                                        );
                                        foreach( $socials as $name ) {
                                            $src = IPGIVAY_BASE_URL . 'img/icon/'.$icon.'/'.$name.'.png';
                                            echo '<span class="ipgivay-icon"><img src="'.$src.'" alt="'.$name.'"></span>';
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab effect
         *
         * @return void
         */
        protected function _tabEffect( $setting, $give = false )
        {
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-effect">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Effect', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Set the effect to be applied in the contest.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">
                
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-animation"><?php _e( 'Animation', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="animation" id="input-animation">
                                <?php
                                $color   = $setting->getSetting( 'animation', 'none' );
                                $options = array(
                                    'none'    => __( 'No Animation', 'ipgivay' ),
                                    'linear'  => __( 'Linear', 'ipgivay' ),
                                    'bounce'  => __( 'Bounce', 'ipgivay' ),
                                    'back'    => __( 'Back', 'ipgivay' ),
                                    'elastic' => __( 'Elastic', 'ipgivay' ),
                                    'expo'    => __( 'Expo', 'ipgivay' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $color ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-sound"><?php _e( 'Sound', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="sound" id="input-sound">
                                <option value="0"><?php _e( 'No Sound' ); ?></option>
                                <?php
                                $sound   = $setting->getSetting( 'sound', '0' );
                                $options = range(1,5);
                                foreach( $options as $key ) {
                                    $sltd = '';
                                    if ( $key == $sound ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>Sound ' . $key . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab award
         *
         * @param array $setting
         * @param array $give
         * @return void
         */
        protected function _tabAward( $setting, $give = false )
        {
            $model = new IPGivay_Model();
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-award">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Award', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Manage the contest winners.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">
                
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-select-winners"><?php _e( 'Select Winners', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            if ( ! $this->_is_finish( $setting, $give )) :
                                
                                $countdown = $this->_get_countdown_time( $setting, $give );
                            ?>
                            <script type="text/javascript" src="<?php echo IPGIVAY_BASE_URL; ?>js/jquery.countdown.min.js"></script>
                            <p class="ipadm-alert ipadm-alert-warning"><?php _e( 'You can not determine a winner because the contest is not over. Button to search for the winner will be available after the contest ends.', 'ipgivay' ); ?></p>
                            <div class="countdown-main">
                                <strong class="cdlabel"><?php _e( 'Contest ends in :', 'ipgivay' ); ?></strong>
                                <div id="countdown"></div>
                            </div>
<script>
(function($){
    $(document).ready(function()
    {
        $('#countdown').countdown('<?php echo $countdown; ?>').on('update.countdown', function(event) {
            var $this = $(this).html(event.strftime(''
                + '<span class="cdtime"><strong>%D</strong> <em>day%!d</em></span> '
                + '<span class="cdtime"><strong>%H</strong> <em>hr</em></span> '
                + '<span class="cdtime"><strong>%M</strong> <em>min</em></span> '
                + '<span class="cdtime"><strong>%S</strong> <em>sec</em></span>'));
        });
    
    });
})(jQuery);
</script>
                            <?php
                            else:
                            ?>
                            <div class="raffle-main">
                                <p><?php _e( 'Contest ends on :', 'ipgivay' ); ?>
                                <strong><?php echo $this->_get_finish_date( $setting ); ?></strong>
                                <?php _e( 'and you are planning to give the gift on :', 'ipgivay' ); ?>
                                <strong><?php echo $this->_get_awarded_date( $setting ); ?></strong></p>
                                <p><strong><?php _e( 'Last ruffle:', 'ipgivay' ); ?>
                                    <em class="ipgivay-last-ruffle">
                                    <?php 
                                    $last = $setting->getSetting( 'last_ruffle' );
                                    if ( $last ) {
                                        echo mysql2date( 'd M Y, h:i', $last ); 
                                    } else {
                                        echo '-';
                                    }
                                    ?>
                                    </em>
                                </strong></p>
                                
                                <div class="ipgivay-raffle-fields">
                                    <div class="ipgivay-raffle-btn">
                                        <button type="button" id="ipgivay-do-raffle" class="ipadm-btn ipadm-btn-primary">
                                            <?php _e( 'Raffle Now', 'ipgivay' ); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <?php
                            endif;
                            ?>
                        </div>
                    </div>
                    <div id="ipgivay-winners" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-winners"><?php _e( 'Winners', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $winners = $model->get_winners( $give->ID );
                            if ( ! $winners ) :
                            ?>
                            <p class="ipadm-alert ipadm-alert-warning"><?php _e( 'You have not yet determined the winner of the contest. Use the button above to do so.', 'ipgivay' ); ?></p>
                            <?php
                            endif;
                            ?>
                            <div id="ipgivay-winners-list">
                            <?php
                            if ( $winners ) :
                            ?>
                            <div class="ipgivay-user-table">
                                <table>
                                    <thead>
                                        <tr>
                                            <th class="ipgivay-th-no"><?php _e( 'No', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-date"><?php _e( 'Join Date', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-email"><?php _e( 'Email', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-name"><?php _e( 'Name', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-entries"><?php _e( 'Entries', 'ipgivay' ); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $no = 1;
                                        foreach( $winners as $user ) :
                                        ?>
                                        <tr>
                                            <td><?php echo $no; ?></td>
                                            <td><?php echo mysql2date( 'd M Y, h:i', $user->mbr_join_date ); ?></td>
                                            <td><?php echo $user->mbr_email; ?></td>
                                            <td><?php echo $user->mbr_name; ?></td>
                                            <td><?php echo $user->mbr_referral; ?></td>
                                        </tr>
                                        <?php
                                            $no++;
                                        endforeach;
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                            <?php
                            endif;
                            ?>
                            </div>
                        </div>
                    </div>
                    <div id="ipgivay-send-prize" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-send-prize"><?php _e( 'Send Prize', 'ipgivay' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            if ( ! $winners ) :
                            ?>
                            <p class="ipadm-alert ipadm-alert-warning"><?php _e( 'You have not yet determined the winner of the contest.', 'ipgivay' ); ?></p>
                            <?php
                            endif;
                            
                            if ( $winners ) {
                                $dsp = '';
                            } else {
                                $dsp = ' style="display:none;"';
                            }
                            ?>
                            <p class="ipgivay-last-info"><strong><?php _e( 'Last send prize:', 'ipgivay' ); ?>
                                <em class="ipgivay-last-send">
                                <?php 
                                $last = $setting->getSetting( 'last_send_prize' );
                                if ( $last ) {
                                    echo mysql2date( 'd M Y, h:i', $last ); 
                                } else {
                                    echo '-';
                                }
                                ?>
                                </em>
                            </strong></p>
                            <div id="ipgivay-send-prize-fields"<?php echo $dsp; ?>>
                                <div class="ipgivay-field">
                                    <div class="ipgivay-label">
                                        <label><?php _e( 'Subject', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipgivay-input">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'award_subject', '' ));
                                        ?>
                                        <p><input class="ipadm-input" type="text" id="input-award-subject" value="<?php echo $title; ?>" size="30" name="award_subject"></p>
                                    </div>
                                </div>
                                <div class="ipgivay-field">
                                    <div class="ipgivay-label">
                                        <label><?php _e( 'Message', 'ipgivay' ); ?></label>
                                    </div>
                                    <div class="ipgivay-input">
                                        <?php
                                        $tinymceInit = array(
                                            'editor_height' => 60
                                        );
                                        $content = stripslashes( $setting->getSetting( 'award_message', '' ));
                                        wp_editor( $content, 'award_message', array( 
                                            'editor_height' => 60,
                                            'tinymce'       => $tinymceInit
                                        )); 
                                        ?>
                                    </div>
                                </div>
                                <div class="ipgivay-send-prize-btn">
                                    <button type="button" id="ipgivay-do-send-prize" class="ipadm-btn ipadm-btn-primary">
                                        <?php _e( 'Send Prize', 'ipgivay' ); ?>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Get finish date
         *
         * @param array $setting
         * @return false
         */
        protected function _get_finish_date( $setting )
        {
            $finish = date( 'd F Y, h:i' );
            $dend   = $setting->getSetting( 'end_date' );
            $tend   = $setting->getSetting( 'end_time' );
            if ( ! empty( $dend ) && ! empty( $tend )) {
                $date   = $dend . ' ' . $tend . ':00';
                $finish = $this->_create_date( $date, 'd F Y, h:i' );
            }
            return $finish;
        }
        
        /**
         * Get awarded date
         *
         * @param array $setting
         * @return false
         */
        protected function _get_awarded_date( $setting )
        {
            $finish = date( 'd F Y, h:i' );
            $daward = $setting->getSetting( 'award_date' );
            $taward = $setting->getSetting( 'award_time' );
            if ( ! empty( $daward ) && ! empty( $taward )) {
                $date   = $daward . ' ' . $taward . ':00';
                $finish = $this->_create_date( $date, 'd F Y, h:i' );
            }
            return $finish;
        }
        
        /**
         * Is giveaway finish?
         *
         * @param array $setting
         * @param array $give
         * @return false
         */
        protected function _is_finish( $setting, $give )
        {
            $finish = false;
            $now    = time();
            $dend   = $setting->getSetting( 'end_date' );
            $tend   = $setting->getSetting( 'end_time' );
            if ( ! empty( $dend ) && ! empty( $tend )) {
                $date   = $dend . ' ' . $tend . ':00';
                $time   = $this->_create_date( $date, 'U' );
                if ( $now > $time ) {
                    $finish = true;
                }
            }
            return $finish;
        }
        
        /**
         * Get countdown time
         *
         * @param array $setting
         * @param array $give
         * @return string
         */
        protected function _get_countdown_time( $setting, $give )
        {
            $time = '';
            $now  = time();
            $dend   = $setting->getSetting( 'end_date' );
            $tend   = $setting->getSetting( 'end_time' );
            if ( ! empty( $dend ) && ! empty( $tend )) {
                $date = $dend . ' ' . $tend . ':00';
                $time = str_replace( '-', '/', $date );
            }
            return $time;
        }
        
        /**
         * Create date
         *
         * @return false
         */
        protected function _create_date( $date, $format )
        {
            try {
                $date = new DateTime( $date );
            } catch (Exception $e) {
                return false;
            }
            return $date->format( $format );
        }
        
        /**
         * Content for tab statistic
         *
         * @return void
         */
        protected function _tabStatistic( $setting, $give = false )
        {
            wp_enqueue_script('jquery-ui-datepicker');
        ?>
            <div class="ipgivay-tab-section" id="ipgivay-tab-statistic">
                <div class="ipgivay-tab-header">
                    <h4><?php _e( 'Statistic', 'ipgivay' ); ?></h4>
                    <h5><?php _e( 'Presents a variety of statistical data from user interaction on the contest.', 'ipgivay' ); ?></h5>
                </div>
                <div class="ipgivay-fields">

                    <div class="ipgivay-stat-graph ipgivay-stat-section">
                        <div class="ipgivay-stat-content">
    
    <div id="ipgivay-stat-filter" class="ipadm-clear">
        <div id="ipgivay-stat-nav">
            <ul class="ipadm-clear">
                <li class="ipgivay-nav-view active">
                    <a href="#stat-view">
                        <span class="stat-label">
                            <i class="faip fa-eye"></i>
                            <?php _e( 'Views', 'ipgivay' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipgivay-nav-share">
                    <a href="#stat-share">
                        <span class="stat-label">
                            <i class="faip fa-share-alt"></i>
                            <?php _e( 'Shares', 'ipgivay' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipgivay-nav-subscriber">
                    <a href="#stat-subscriber">
                        <span class="stat-label">
                            <i class="faip fa-envelope"></i>
                            <?php _e( 'Subscribers', 'ipgivay' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipgivay-nav-direct">
                    <a href="#stat-direct">
                        <span class="stat-label">
                            <i class="faip fa-user"></i>
                            <?php _e( 'Direct Subscribers', 'ipgivay' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipgivay-nav-referral">
                    <a href="#stat-referral">
                        <span class="stat-label">
                            <i class="faip fa-envelope"></i>
                            <?php _e( 'Referral Subscribers', 'ipgivay' ); ?>
                        </span>
                    </a>
                </li>
            </ul>
        </div>
        <div id="ipgivay-date-filter">
            <form action="" method="post">
                <input type="hidden" id="ipgivay-value-stat-type" name="stat_type" value="view" />
                <?php
                $dateStart = date('m/d/Y');
                $dateEnd   = date('m/d/Y'); 
                ?>
                <strong><?php _e( 'Filter By Date', 'ipgivay' ); ?>: </strong>
                <span class="ipgivay-date-input">
                    <input type="text" id="ipgivay-date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                    -
                    <input type="text" id="ipgivay-date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
                </span>
                <span class="ipgivay-do-filter">
                    <input type="submit" id="ipgivay-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', 'ipgivay' ); ?>" />
                </span>
            </form>
        </div>
    </div>
    
    <div id="ipgivay-stat-main">
        <div class="ipgivay-page-subtitle">
            <h3><?php _e( 'Views Statistic', 'ipgivay' ); ?></h3>
        </div>
        <div id="ipgivay-stat-chart">
        
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", {packages:["corechart"]});
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    
                    var dataTable = new google.visualization.DataTable();
                    dataTable.addColumn( 'date', '<?php _e( 'Date', 'ipgivay' ); ?>' );
                    dataTable.addColumn( 'number', '<?php _e( 'Views', 'ipgivay' ); ?>' );
                    
                    var rows = [
                    <?php
                    $model  = new IPGivay_Model();
                    $stdata = $model->get_statistic_data( $give->ID, 'view' );
                    if ( $stdata ) {
                        foreach( $stdata as $data ) {
                            $timestamp = strtotime( $data->gdate );
                            $phpdate   = getdate($timestamp);
                            
                            echo '[new Date(' 
                                    . $phpdate['year'] . ', '
                                    . ( $phpdate['mon']  - 1 ) . ', '
                                    . $phpdate['mday'] . ',0,0,0), '
                                    . $data->value
                                . '],';
                        }
                    }
                    ?>
                    ];
                    dataTable.addRows( rows );
                    
                    var options = {
                        series: [{pointSize:6}]
                    };
                    var chart = new google.visualization.LineChart(document.getElementById('ipgivay-chart-div'));
                    chart.draw(dataTable, options);
                }
            </script>
            
            <div id="ipgivay-chart-div" style="width: 100%; height: 500px;"></div>
            <div id="ipgivay-chart-load" style="display: none;">
                <?php
                $plgurl = plugin_dir_url( dirname(__FILE__) );
                $src    = $plgurl . 'img/loading.gif';
                ?>
                <img src="<?php echo $src; ?>" alt="Loading..." />
            </div>
            
        </div>
    </div>
                            
                        </div>
                    </div>

                    <div class="ipgivay-stat-table ipgivay-stat-section">
                        <div class="ipgivay-page-subtitle">
                            <h3><?php _e( 'User Data', 'ipgivay' ); ?></h3>
                        </div>
                        <div class="ipgivay-stat-content">
                            <div class="ipgivay-user-table">
                                <table>
                                    <thead>
                                        <tr>
                                            <th class="ipgivay-th-no"><?php _e( 'No', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-date"><?php _e( 'Date', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-email"><?php _e( 'Email', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-name"><?php _e( 'Name', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-entries"><?php _e( 'Entries', 'ipgivay' ); ?></th>
                                            <th class="ipgivay-th-action"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $model = new IPGivay_Model();
                                        if ( $users = $model->get_raffle_members( $give->ID ) ) :
                                            $no = 1;
                                            foreach( $users as $user ) :
                                            ?>
                                        <tr>
                                            <td><?php echo $no; ?></td>
                                            <td><?php echo mysql2date( 'd M Y, h:i', $user->mbr_join_date ); ?></td>
                                            <td><?php echo $user->mbr_email; ?></td>
                                            <td><?php echo $user->mbr_name; ?></td>
                                            <td><?php echo $user->mbr_referral; ?></td>
                                            <td class="ipgivay-tb-action">
                                                <a class="ipgivay-link-email" href="mailto:<?php echo $user->mbr_email; ?>">
                                                    <i class="faip fa-envelope"></i>
                                                    <?php _e( 'Send message', 'ipgivay' ); ?>
                                                </a>
                                            </td>
                                        </tr>
                                        <?php
                                                $no++;
                                            endforeach;
                                        endif;
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                
                </div>
            </div>
        <?php
        }
    }
}