/**
 * Menu control
 **/
(function($)
{
    //Tools
    var ipgivay_gtools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        showMessage: function( msg, eclass ) {
            
            $( '#ipadm-messages' ).html( msg )
                                  .attr( 'class', eclass )
                                  .show();
                                  
            setTimeout( function(){
                $( '#ipadm-messages' ).animate({opacity: "0"}, 600, function(){
                    $(this).html( '' ).hide();
                    $( '#ipadm-messages' ).css( 'opacity', 1 );
                });
            }, 4000 );
        },
        showInputMessage: function( msg, type, input ) {
    
            $( '.ipadm-alert' ).remove();
            var msgHtml = $( '<div class="ipadm-alert"></div>' );
            msgHtml.addClass( 'ipadm-alert-' + type );
            msgHtml.html( msg );
            
            $( input ).before( msgHtml );
            setTimeout( function(){
                msgHtml.animate({opacity: "0"}, 600, function(){
                    msgHtml.remove();
                });
            }, 4000 );
        },
        showModalMessage: function( message, type )
        {
            $( '#ipgivay-modal-message' ).text( message );
            $( '#ipgivay-modal-message-overlay' )
                .removeAttr( 'class' )
                .attr( 'class', type )
                .show()
                .animate({top: "0"}, 600, function(){
                    var msg = $(this);
                    setTimeout( function(){
                        msg.animate({top: '-100px'}, 600, function(){
                            msg.hide();
                        });
                    }, 4000);
                });
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            return data;
        },
        showModalConfirm: function()
        {
            $( '#ipgivay-modal-confirm-overlay' ).show();
            return $( '#ipgivay-modal-confirm' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalConfirm: function()
        {
            $( '#ipgivay-modal-confirm-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-confirm' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
    };
    
    ipgivay_ui = 
    {
        popup: {
        
            show: function( popup, settings )
            {
                width = '100%';
                if ( settings.width ) {
                    width = settings.width;
                }
                popup = $(popup);
                var inner = $( '.ipgivay-scpup-inner', popup )
                               .css( 'margin-top', '-60%' )
                               .css( 'width', width );
                popup.show();
                inner.animate({marginTop: "0"}, 400);
            },
            hide: function( popup )
            {
                popup = $(popup);
                $( '.ipgivay-scpup-inner', popup )
                      .animate( {marginTop: '-60%'}, 400);
                
                popup.animate( {opacity: 0}, 600, function(){
                    popup.css( 'opacity', 1 )
                         .hide();
                });
            },
            open: function( link )
            {
                $( link ).click( function()
                {
                    var href   = $(this).attr( 'href' );
                    var popup  = $( href );
                    if ( popup.length > 0 ) 
                    {
                        ipgivay_ui.popup.show( popup );
                    }
                    return false;
                });
            },
            close: function( after )
            {
                $( '.ipgivay-scpup-close-link' ).click( function()
                {
                    var popup = $(this).parents( '.ipgivay-scpup-root' );
                    ipgivay_ui.popup.hide( popup );
                    if ( after ) {
                        after();
                    }
                    return false;
                });
            }
        }
    };
    
    $(document).ready(function() 
    {
        //Add shortcode
        $( '.ipgivay-add-category a' ).click( function()
        {
            var href = $(this).attr( 'href' );
            var name = href.replace( '#share-', '' );
            var id   = 'ipgivay-sc-' + name;
            
            $( '#ipgivay_sc_wrap .ipgivay-add-category' ).hide();
            $( '#'+id ).show();
            
            return false;
        });
        
        //Popup close
        ipgivay_ui.popup.close();
        
        $( '#ipgivay-do-sc-image' ).click( function()
        {
            var style = $( '#input-sci-style' ).val();
            var img   = $( '#input-sci-image' ).val();
            var attr  = 'type="image" style="' + style + '"';
            attr += ' image="' + img + '"';
            add_shortcode( attr, '', $(this) );
            return false;
        });
        
        $( '#ipgivay-do-sc-video' ).click( function()
        {
            var style = $( '#input-sci-style' ).val();
            var url   = $( '#input-scv-url' ).val();
            var attr  = 'type="video" style="' + style + '"';
            attr += ' url="' + url + '"';
            add_shortcode( attr, '', $(this) );
            return false;
        });
        
        $( '#ipgivay-do-sc-quote' ).click( function()
        {
            var style   = $( '#input-sci-style' ).val();
            var author  = $( '#input-scq-author' ).val();
            var content = $( '#input-scq-content' ).val();
            var attr    = 'type="quote" author="' + author + '"';
            attr   += ' style="' + style + '"';
            add_shortcode( attr, content, $(this) );
            return false;
        });
        
        $( '#ipgivay-do-sc-text' ).click( function()
        {
            var style   = $( '#input-sci-style' ).val();
            var content = $( '#input-sct-content' ).val();
            var attr    = 'type="text" style="' + style + '"';
            add_shortcode( attr, content, $(this) );
            return false;
        });
        
        function add_shortcode( attr, content, button )
        {
            var sc  = '[ezshareit '+attr+']'+content+'[/ezshareit]';
            var aed = tinyMCE.activeEditor;
            if ( aed ) 
            {
                aed.selection.setContent( sc );
                $( '#ipgivay_sc_wrap input[type="text"]' ).val( '' );
                $( '#ipgivay_sc_wrap textarea' ).val( '' );
                $( '#ipgivay_sc_wrap option' ).removeAttr( 'selected' );
            }
            
            var popup = button.parents( '.ipgivay-scpup-root' );
            button.parents( '.ipgivay-sc-form' ).hide();
            $( '.ipgivay-add-category', popup ).show();
            
            ipgivay_ui.popup.hide( popup );
        }
        
        //Add image
        $( '.ipgivay-image-options a' ).click( function()
        {
            $( '.ipgivay-image-options a' ).removeClass( 'active' );
            $(this).addClass( 'active' );
            var imgid = $(this).attr( 'href' ).replace( '#image-', '' );
            $( '#input-sci-image' ).val( imgid );
            return false;
        });
    });
    
})(jQuery);