/**
 * Admin Script
 **/

(function($){
    
    //Tab Menu
    $.fn.ipgivay_tabMenu = function(options){
        this.each( function(){
            var root = $(this);
            
            tabMenuInit();
            
            $( '.ipgivay-tab-menu a', root ).click( function(){
                clearLinkClick( $(this) );
                var cont = $( this ).parents( '.ipgivay-tab-menu' );
                cont.addClass( 'current' );
                
                var idtab = $(this).attr( 'href' ).replace( '#', '' );
                $( '#'+idtab ).show();
                $( '#ipgivay-tab-selected' ).val( idtab );
                
                if ( idtab == 'ipgivay-tab-stats' ) {
                    $( '#ipgivay-save' ).hide();
                } else {
                    $( '#ipgivay-save' ).show();
                }
                
                return false;
            });
            
            function clearLinkClick() 
            {
                $( '.ipgivay-tab-menu', root ).each( function(){
                    $(this).removeClass( 'current' );
                });
                $( '.ipgivay-tab-section', root ).hide();
            };
            
            function tabMenuInit() 
            {
                clearLinkClick();
                $( '.ipgivay-tab-section', root ).hide();
                var current = $( '#ipgivay-tab-selected' ).val();
                $( '#'+current ).show();
                $( 'a[href="#'+current+'"]' ).parents('.ipgivay-tab-menu').addClass( 'current' );
                $( '#ipgivay-tab-selected' ).val( current );
            };
        });
    };
    
    //Add image
    $.fn.ipgivay_image_add = function(setting)
    {
        var root = $( this ),
            files = 'null',
            formdata = false;
        
        if (window.FormData) {
            formdata = new FormData();
        }
        if ( files == 'null' ) {
            $( '.ipgivay-img-add-btn', root ).addClass( 'button-disabled' );
            $( '.ipgivay-img-add-btn', root ).attr( 'disabled', 'disabled' );
        }
        
        $( '.ipgivay-input-upload', root ).change( function(){
            $( '.ipgivay-img-add-btn', root ).removeClass( 'button-disabled' );
            $( '.ipgivay-img-add-btn', root ).removeAttr( 'disabled' );
            files = this.files;
        });
        
        $( '.ipgivay-img-add-btn', root ).click( function()
        {
            var button = $(this);
            var lists  = $( '.ipgivay-image-list', root );
            var postid = $( '#value-giftid' ).val();
            
            if ( files == 'null' ) {
                alert( 'You must select an image' );
            } else {
            
                var loader = '<div class="ipadm-loader-small"></div>';
                button.after( loader );
                button.addClass( 'button-disabled' );
                button.attr( 'disabled', 'disabled' );
                
                var len = files.length;

                for ( var i = 0; i < len; i++ ) 
                {
                    file = files[i];
                
                    if (!!file.type.match(/image.*/)) {
                        if ( window.FileReader ) {
                            reader = new FileReader();
                            reader.readAsDataURL(file);
                        }
                        if (formdata) {
                            formdata.append("async-upload", file);
                        }
                    }
                    if (formdata) {
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_image_add',
                            type: "POST",
                            data: formdata,
                            processData: false,
                            contentType: false,
                            dataType: "json",
                            success: function ( result ) 
                            {
                                if ( result.status == '1' ) 
                                {
                                    var content = $( result.content );
                                    content.find( '.ipgivay-img-delete a' ).ipgivay_image_del();
                                    
                                    if ( $( '.ipgivay-img-item', lists ).length > 0 ) {
                                        lists.append( content );
                                    } else {
                                        lists.html( content );
                                    }
                                    //Set image id
                                    var old = $( '.ipgivay-img-value', root ).val();
                                    $( '.ipgivay-img-value', root ).val( old + '|' + result.id );
                                    
                                    ipgivay_tools.showModalMessage( result.message, 'ipadm-success' );
                                }
                                else {
                                    ipgivay_tools.showModalMessage( result.message, 'ipadm-danger' );
                                }
                                
                                //Reset image input
                                $( 'input[type="file"]' ).each( function()
                                {
                                    if (/MSIE/.test(navigator.userAgent)) {
                                        $(this).replaceWith($(this).clone(true));
                                    } else {
                                        $(this).val('');
                                    }
                                });
                                $( '.ipadm-loader-small' ).remove();
                            }
                        });
                    }
                }
            }
            return false;
        });
    };
    //Delete image
    $.fn.ipgivay_image_del = function()
    {
        $(this).each( function()
        {
            var root   = $( '#ipgivay-image-settings' );
            var button = $(this);
            var item   = button.parents('.ipgivay-img-item' );
            
            button.click( function()
            {
                var images = $( '.ipgivay-img-value', root ).val();
                var id     = item.data( 'id' );
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_image_delete',
                    type: "POST",
                    data: 'images='+images+'&id='+id,
                    dataType: "json",
                    success: function ( result ) {
                        
                        if ( result.status == '1' ) 
                        {
                            ipgivay_tools.showModalMessage( result.message, 'ipadm-success' );
                            item.hide( 'blind' );
                            setTimeout( function(){
                                item.remove();
                            }, 600);
                            $( '.ipgivay-img-value', root ).val( result.images );
                        } 
                        else {
                            ipgivay_tools.showModalMessage( result.message, 'ipadm-error' );
                        }
                        
                    }
                });
                return false;
            });
        });
    };
    
    //Upload image
    $.fn.ipgivay_uploadImage = function(setting){
    
        $(this).each( function(){
        
            var root  = $(this),
                files = 'null',
                formdata = false;
            
            if (window.FormData) {
                formdata = new FormData();
            }
            if ( files == 'null' ) {
                $( '.ipgivay-upload-btn', root ).addClass( 'button-disabled' );
                $( '.ipgivay-upload-btn', root ).attr( 'disabled', 'disabled' );
            }
            
            $( '.ipgivay-input-upload', root ).change( function(){
                $( '.ipgivay-upload-btn', root ).removeClass( 'button-disabled' );
                $( '.ipgivay-upload-btn', root ).removeAttr( 'disabled' );
                files = this.files;
            });
            
            $( '.ipgivay-upload-btn', root ).click( function(){
            
                var button = $(this);
                var postid = $( '#value-giftid' ).val();
                
                if ( files == 'null' ) {
                    alert( 'You must select an image' );
                } else {
                
                    var loader = '<div class="ipadm-loader-small"></div>';
                    button.after( loader );
                    button.addClass( 'button-disabled' );
                    button.attr( 'disabled', 'disabled' );
                    
                    var len = files.length;

                    for ( var i = 0; i < len; i++ ) {
                        file = files[i];
                
                        if (!!file.type.match(/image.*/)) {
                            if ( window.FileReader ) {
                                reader = new FileReader();
                                reader.readAsDataURL(file);
                            }
                            if (formdata) {
                                formdata.append("async-upload", file);
                            }
                        }
                    }
                    
                    var type  = $( '.ipgivay-upload-type', root ).val();
                    if (formdata) {
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_upload&type='+type,
                            type: "POST",
                            data: formdata,
                            processData: false,
                            contentType: false,
                            dataType: "json",
                            success: function ( result ) {
                                
                                if ( result.status == '1' ) {
                                    
                                    if ( result.data.sizes.medium !== undefined ) {
                                        var src = result.data.sizes.medium.url;
                                    } else {
                                        var src = result.data.sizes.full.url;
                                    }
                                    ipgivay_tools.showInputMessage( 'Successfully uploading image', 'success', root );
                                    $( '.ipgivay-image-preview', root ).html( '<img src="'+src+'">' );
                                    $( '.ipgivay-photo-id', root ).val(result.data.id);
                                    
                                    $( '.ipgivay-reset-img', root ).show();
                                    
                                } else {
                                    ipgivay_tools.showInputMessage( 'Upload image was failed', 'danger', root );
                                }
                                $( '.ipadm-loader-small' ).remove();
                            }
                        });
                    }
                }
                return false;
            });
            
            $( '.ipgivay-reset-img', root ).click( function(){
                
                var button = $(this);
                var attach = $( '.ipgivay-photo-id', root ).val();
                
                var loader = '<div class="ipadm-loader-small"></div>';
                button.after( loader );
                button.addClass( 'button-disabled' );
                button.attr( 'disabled', 'disabled' );
                
                var type = $( '.ipgivay-upload-type', root ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_clearImage',
                    type: "POST",
                    data: 'type='+type+'&attach='+attach,
                    dataType: "json",
                    success: function ( result ) {
                        
                        if ( result.status == '1' ) {
                            ipgivay_tools.showInputMessage( 'Successfully clearing image', 'success', root );
                            $( '.ipgivay-image-preview', root ).html( '<div class="none">No image</div>' );
                            $( '.ipgivay-photo-id', root ).val(0);
                            button.hide();
                        } else {
                            ipgivay_tools.showInputMessage( 'Image was failed to clear', 'danger', root );
                        }
                        $( '.ipadm-loader-small' ).remove();
                    }
                });
                return false;
            });
        });
    };
    
    $.fn.ipgivay_radiobutton = function( options ) {
        
        var defaults  = {
            funcSelect: function(){},
        };
        var options = $.extend( defaults, options );
        
        $(this).each( function(){
        
            var button = $(this);
            button.click( function(){
            
                var root  = $(this).parents( '.ipadm-btn-radio' );
                var value = $(this).data( 'value' );
                if ( ! $(this).hasClass( '.active' ) ) {
                    $( 'button', root ).removeClass( 'active' );
                    $( 'button', root ).removeClass( 'button-primary' );
                    $(this).addClass( 'button-primary active' );
                }
                $( '.ipadm-av-value', root ).val(value);
                
                var field = $(this).parents( '.ipadm-field-row' );
                if ( field.hasClass( 'ipadm-toggle' )) {
                    
                    if ( value == 'false' || value == false ) {
                        $( '.ipadm-toggle-option', field ).hide();
                    } else {
                        $( '.ipadm-toggle-option', field ).show();
                    }
                }
                options.funcSelect( button, value );
                return false;
            });
        });
    };
    
    //Add/Update giveaway
    $.fn.ipgivay_save = function(options) {
        
        var defaults  = {
            saveAdd: true
        };
        var options = $.extend( defaults, options );
        
        var link  = $(this);
        link.click( function() {
        
            var loader = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            link.attr( 'disabled', 'disabled' );
            link.after( loader );
            var formdata = ipgivay_tools.getdataform( $( '.ipadm-manage' ) );
            var action   = ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_save';
            if ( options.saveAdd ) {
                action = action+'&add=1';
            }
            $.ajax({
                url: action,
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( options.saveAdd ) {
                        if ( result.status == 1 ) {
                            window.location.href = 'admin.php?page=ipgivay&add=1';
                        }
                    }
                    //Reset image input
                    $( 'input[type="file"]' ).each( function()
                    {
                        if (/MSIE/.test(navigator.userAgent)) {
                            $(this).replaceWith($(this).clone(true));
                        } else {
                            $(this).val('');
                        }
                    });
                    
                    if ( result.status == 1 ) {
                        var sclass = 'ipadm-success';
                    } else {
                        var sclass = 'ipadm-error';
                    }
                    link.removeAttr( 'disabled');
                    loader.remove();
                    $( '#ipgivay-value-giveid' ).val( result.giveid );
                    ipgivay_tools.showMessage( result.message, sclass );
                    ipgivay_tools.goTo( '.ipadm-wrap' );
                },
            });
            return false;
        });
        
    };
    
    //Tools
    var ipgivay_tools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        showMessage: function( msg, eclass ) {
            
            $( '#ipadm-messages' ).html( msg )
                                  .attr( 'class', eclass )
                                  .show();
                                  
            setTimeout( function(){
                $( '#ipadm-messages' ).animate({opacity: "0"}, 600, function(){
                    $(this).html( '' ).hide();
                    $( '#ipadm-messages' ).css( 'opacity', 1 );
                });
            }, 4000 );
        },
        showInputMessage: function( msg, type, input ) {
    
            $( '.ipadm-alert' ).remove();
            var msgHtml = $( '<div class="ipadm-alert"></div>' );
            msgHtml.addClass( 'ipadm-alert-' + type );
            msgHtml.html( msg );
            
            $( input ).before( msgHtml );
            setTimeout( function(){
                msgHtml.animate({opacity: "0"}, 600, function(){
                    msgHtml.remove();
                });
            }, 4000 );
        },
        showModalMessage: function( message, type )
        {
            $( '#ipgivay-modal-message' ).text( message );
            $( '#ipgivay-modal-message-overlay' )
                .removeAttr( 'class' )
                .attr( 'class', type )
                .show()
                .animate({top: "0"}, 600, function(){
                    var msg = $(this);
                    setTimeout( function(){
                        msg.animate({top: '-100px'}, 600, function(){
                            msg.hide();
                        });
                    }, 4000);
                });
        },
        showModalLoader: function()
        {
            $( '#ipgivay-modal-loader-overlay' ).show();
            return $( '#ipgivay-modal-loader' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalLoader: function()
        {
            $( '#ipgivay-modal-loader-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-loader' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        },
        showModalConfirm: function()
        {
            $( '#ipgivay-modal-confirm-overlay' ).show();
            return $( '#ipgivay-modal-confirm' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalConfirm: function()
        {
            $( '#ipgivay-modal-confirm-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-confirm' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        getTinymce: function( contentId )
        {
            var content = '';
            if (typeof tinymce !== 'undefined') {
                content = tinyMCE.get( contentId ).getContent();
            }
            return content;
        },
        setTinymce: function( contentId, content )
        {
            if (typeof tinymce !== 'undefined') {
                tinyMCE.get( contentId ).setContent( content );
            }
        }
    };
    
    /**
     * Statistic script
     **/
    var ipgivay_stats = {
    
        datepicker: function()
        {
            var root = $( '#ipgivay-tab-statistic' );
            $( '#ipgivay-date-start', root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#ipgivay-date-start', root ).datepicker('hide');
                });
                
            $( '#ipgivay-date-end', root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#ipgivay-date-end', root ).datepicker('hide');
                });
        },
        
        datecart: function()
        {
            var root = $( '#ipgivay-tab-statistic' );
            
            $( '#ipgivay-filter-date', root ).click( function()
            {
                var dateStart = $( '#ipgivay-date-start' ).val();
                var dateEnd   = $( '#ipgivay-date-end' ).val();
                var giveId    = $( '#ipgivay-value-giveid' ).val();
                var type      = $( '#ipgivay-value-stat-type' ).val();
                
                //Show loader
                $( '#ipgivay-chart-div' ).html('').hide();
                $( '#ipgivay-chart-load' ).show();
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_getchart',
                    type: "POST",
                    data: 'start='+dateStart+'&end='+dateEnd+'&giveid='+giveId+'&type='+type,
                    dataType: "json",
                    success: function (result ) {
                        
                        $( '#ipgivay-chart-div' ).show();
                        $( '#ipgivay-chart-load' ).hide();
                        if ( result.status == 1 && result.data.length > 0 ) 
                        {
                            var dataTable = new google.visualization.DataTable();
                            dataTable.addColumn( 'date', result.labelDate );
                            dataTable.addColumn( 'number', result.labelValue );
                            
                            var rows = [];
                            for (var i=0; i<result.data.length; i++)
                            { 
                                var cur   = result.data[i];
                                var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                                rows.push( data );
                            }
                            dataTable.addRows( rows );
                            var options = {
                                series: [{pointSize:6}]
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('ipgivay-chart-div'));
                            chart.draw(dataTable, options);
                        }
                    },
                    error: function () {
                        alert( "Error in get statistic data" );
                    },
                });
                
                return false;
            });
        },
        
        viewcart: function()
        {
            var root = $( '#ipgivay-tab-statistic' );
            
            $( '#ipgivay-stat-nav a', root ).click( function()
            {
                var link   = $(this);
                var root   = link.parents( 'li' );
                var type   = link.attr( 'href' ).replace( '#stat-', '' );
                var giveId = $( '#ipgivay-value-giveid' ).val();
                
                if ( root.hasClass( 'active' )) {
                    return true;
                }
                $( '#ipgivay-stat-nav li' ).removeClass( 'active' );
                root.addClass( 'active' );
                $( '#ipgivay-value-stat-type' ).val( type );
                
                //Show loader
                $( '#ipgivay-chart-div' ).html('').hide();
                $( '#ipgivay-chart-load' ).show();
                
                //Load cart
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_getchart',
                    type: "POST",
                    data: 'giveid='+giveId+'&type='+type,
                    dataType: "json",
                    success: function (result ) {
                        
                        $( '#ipgivay-chart-div' ).show();
                        $( '#ipgivay-chart-load' ).hide();
                        if ( result.status == 1 && result.data.length > 0 ) 
                        {
                            var dataTable = new google.visualization.DataTable();
                            dataTable.addColumn( 'date', result.labelDate );
                            dataTable.addColumn( 'number', result.labelValue );
                            
                            var rows = [];
                            for (var i=0; i<result.data.length; i++)
                            { 
                                var cur   = result.data[i];
                                var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                                rows.push( data );
                            }
                            dataTable.addRows( rows );
                            var options = {
                                series: [{pointSize:6}]
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('ipgivay-chart-div'));
                            chart.draw(dataTable, options);
                        }
                    },
                    error: function () {
                        alert( "Error in get statistic data" );
                    },
                });
                
                return false;
            });
        }
    };
    
    $(document).ready(function()
    {
        //Add/Update giveaway
        $( '#ipgivay-save-give' ).ipgivay_save();
        $( '#ipgivay-edit-give' ).ipgivay_save({
            saveAdd: false
        });
        //Delete giveaway
        $( '.ipgivay-give-delete' ).each( function()
        {
            var button    = $(this);
            var inconfirm = false;
            button.click( function()
            {
                ipgivay_tools.showModalConfirm();
                inconfirm = true;
                return false;
            });
            
            $( '#ipgivay-modal-confirm .ipgivay-deny' ).click( function()
            {
                if ( inconfirm ) {
                    ipgivay_tools.hideModalConfirm();
                    inconfirm = false;
                }
                return false;
            });
            $( '#ipgivay-modal-confirm .ipgivay-accept' ).click( function()
            {
                if ( ! inconfirm ) {
                    return false;
                }
                ipgivay_tools.hideModalConfirm();
                inconfirm = false;
                
                var id = button.attr( 'href' ).replace( '#toDelete_', '' );
                $( '.ipadm_loader_small' ).remove();
                var loader = '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>';
                button.after( loader );
                
                button.addClass( 'ipadm-btn-disabled' )
                      .attr( 'disabled', 'disabled' );
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_delete&id='+id,
                    type: "POST",
                    dataType: "json",
                    success: function (result) {
                        
                        if ( button.hasClass( 'ipgivay-del-edit' ) )
                        {
                            window.location.href = result.redirect;
                        } else 
                        {
                            if ( result.status == '-1' ) {
                                ipgivay_tools.showModalMessage( result.message, 'ipadm-error' );
                            } else {
                                ipgivay_tools.showModalMessage( result.message, 'ipadm-success' );
                                var tr = button.parents( 'tr' );
                                tr.hide( 'blind' );
                                setTimeout( function(){
                                    tr.remove();
                                }, 600);
                            }
                            button.removeClass( 'ipadm-btn-disabled' )
                                  .removeAttr( 'disabled' );
                            $( '.ipadm-loader-small' ).remove();
                        }
                    },
                    error: function () {
                        alert( "Error in deleting style." );
                    },
                });
                
                return false;
            });
        });
        
        //Slug controll
        $( '#ipgivay-slug-value, #ipgivay-edit-slug' ).click( function(){
            $( '#ipgivay-slug-value, #ipgivay-edit-slug, #ipgivay-view-page' ).hide();
            $( '#ipgivay-slug-input, #ipgivay-save-slug, #ipgivay-cancel-save-slug' ).show();
            return false;
        });
        $( '#ipgivay-cancel-save-slug' ).click( function(){
            $( '#ipgivay-slug-input, #ipgivay-save-slug, #ipgivay-cancel-save-slug' ).hide();
            $( '#ipgivay-slug-value, #ipgivay-edit-slug, #ipgivay-view-page' ).show();
            return false;
        });
        
        $( '#ipgivay-save-slug' ).click( function(){
        
            var slug   = $( '#ipgivay-slug-input input' ).val();
            $( '#ipgivay-slug-input, #ipgivay-save-slug, #ipgivay-cancel-save-slug' ).hide();
            $( '#ipgivay-slug-value, #ipgivay-edit-slug, #ipgivay-view-page' ).show();
            $( '#ipgivay-slug-value' ).text( slug );
            
            return false;
        });
        
        $( '#ipgivay-field-title #input-title' ).change(function(){
            
            var title  = $( '#input-title' ).val();
            var pageid = $( '#value-pageid' ).val();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_getslug&title='+title+'&pageid='+pageid,
                type: "POST",
                dataType: "json",
                success: function ( result ) {
                    if ( result.status == 1 ) {
                        $( '#ipgivay-slug-input input' ).val( result.slug );
                        $( '#ipgivay-slug-value' ).text( result.slug );
                        $( '#ipadm-field-slug' ).show();
                    }
                },
            });
        });
        
        //Tab menu
        $( '.ipgivay-manage-tab' ).ipgivay_tabMenu();
        
        //Upload image
        $( '.ipgivay-input-upload' ).ipgivay_uploadImage();
        
        //Color picker
        if ( $('.ipgivay-color-picker').length > 0 ) {
            $('.ipgivay-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker();
            });
        }
        
        //Radio Button
        $( '.ipadm-btn-radio button' ).ipgivay_radiobutton({
            funcSelect: function( button, value )
            {
                var root = button.parents( '.ipadm-btn-radio' );
                if ( root.hasClass( 'ipgivay-radio-aresp' ))
                {
                    if ( value == true ) {
                        $( '#ipgivay-form-autoresponder' ).show();
                        $( '#ipgivay-form-email-manual' ).hide();
                    } else {
                        $( '#ipgivay-form-email-manual' ).show();
                        $( '#ipgivay-form-autoresponder' ).hide();
                    }
                }
            }
        });
        
        // Autoresponder
        $( '#input-autoresponder-code' ).each( function()
        {
            var input = $(this);
            input.focusout( function()
            {
                var html   = encodeURIComponent( input.val() );
                var parent = $( '#ipgivay-autoresponder-settings' );
                var action = ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_getoptin';
                $.ajax({
                    url: action,
                    type: "POST",
                    data: 'html='+html,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) 
                        {
                            var fields = [];
                            if ( result.data.fields ) {
                                fields = result.data.fields;
                            }
                            $( '.ipgivay-optin-action', parent ).val( result.data.action );
                            $( 'select', parent ).html( '' );
                            for ( i=0; i<fields.length; i++ )
                            {
                                var option = '<option value="'+fields[i]+'">'+fields[i]+'</option>';
                                $( 'select', parent ).append( option );
                            }
                            parent.show();
                        }
                    },
                });
            });
        });
        
        //Fancy Options
        $( '.ipadm-gen-menu' ).ipadm_fancyoption();
        //Font options
        $( '.ipadm-font-family .ipadm-select li' ).each( function(){
            var font = $(this).data( 'select' ).replace( '_', ' ' );
            $(this).css( 'font-family', font );
        });
        
        //Datetime picker
        $('.ipgivay-datepicker').datepicker({
            format: 'yyyy-mm-dd'
        });
        $('.ipgivay-timepicker').timepicker({
            minuteStep: 5,
            showInputs: false,
            disableFocus: true,
            showMeridian: false,
            defaultTime: false
        });
        
        
        //Social icon select
        $( '.ipgivay-social-settings a' ).click( function()
        {
            if ( $(this).hasClass( 'active' )) {
                $(this).removeClass( 'active' );
                $( 'input', $(this) ).val( 'off' );
            } else {
                $(this).addClass( 'active' );
                $( 'input', $(this) ).val( 'on' );
            }
            return false;
        });
        $( '#input-social-icon' ).change( function()
        {
            var icon = $(this).val();
            var cont = $( '.ipgivay-icon-list' );
            var opts = [
                'facebook',
                'twitter',
                'linkedin',
                'pinterest',
                'tumblr',
                'googleplus',
                'stumbleupon',
                'digg',
                'email'
            ];
            cont.html( '' );
            for (var i = 0; i < opts.length; i++) 
            {
                var key = opts[i];
                var src = ipgivay_imgurl+'icon/'+icon+'/'+key+'.png';
                cont.append(
                    '<span class="ipgivay-icon"><img src="'+src+'" alt="'+key+'"></span>'
                );
            }
            return false;
        });
        
        //Image handler
        $( '#ipgivay-image-settings' ).ipgivay_image_add();
        $( '.ipgivay-img-delete a' ).ipgivay_image_del();
        
        //Run statistic script
        if ( $( '#ipgivay-tab-statistic' ).length > 0 ) 
        {
            //Datepicker setup
            ipgivay_stats.datepicker();
            //Draw Cart
            ipgivay_stats.datecart();
            ipgivay_stats.viewcart();
        }
        
        //Raffle winners
        $( '#ipgivay-do-raffle' ).click( function()
        {
            ipgivay_tools.showModalLoader();
            var button = $(this);
            var giveid = $( '#ipgivay-value-giveid' ).val();
            var action = ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_raffle';
            
            $.ajax({
                url: action,
                type: "POST",
                data: 'giveid='+giveid,
                dataType: "json",
                success: function ( result ) 
                {
                    if ( result.status == 1 ) {
                        $( '#ipgivay-winners-list' ).html( result.html );
                        $( '.ipgivay-last-ruffle' ).html( result.date );
                        $( '#ipgivay-winners .ipadm-alert' ).remove();
                        $( '#ipgivay-send-prize-fields' ).show();
                        $( '#ipgivay-send-prize .ipadm-alert' ).remove();
                        ipgivay_tools.showModalMessage( result.message, 'ipadm-success' );
                    } else {
                        ipgivay_tools.showModalMessage( result.message, 'ipadm-error' );
                    }
                    ipgivay_tools.hideModalLoader();
                },
            });
            return false;
        });
        
        //Send prize
        $( '#ipgivay-do-send-prize' ).click( function()
        {
            ipgivay_tools.showModalLoader();
            var button = $(this);
            var giveid = $( '#ipgivay-value-giveid' ).val();
            var action = ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_send_prize';
            var fdata  = ipgivay_tools.getdataform( $('#ipgivay-send-prize') );
            
            $.ajax({
                url: action,
                type: "POST",
                data: fdata+'&giveid='+giveid,
                dataType: "json",
                success: function ( result ) 
                {
                    if ( result.status == 1 ) {
                        $( '.ipgivay-last-send' ).html( result.date );
                        ipgivay_tools.showModalMessage( result.message, 'ipadm-success' );
                    } else {
                        ipgivay_tools.showModalMessage( result.message, 'ipadm-error' );
                    }
                    ipgivay_tools.hideModalLoader();
                },
            });
            return false;
        });
    });
    
})(jQuery);