
(function($)
{
    //Tab Menu
    $.fn.ipgivay_share_link = function()
    {
        var root = $(this);
        $( 'a', root ).click( function()
        {
            var href   = $(this).attr( 'href' );
            var parent = $(this).parents( '.ipgivay-social' );
            var social = parent.attr( 'class' ).replace( 'ipgivay-social ipgivay-social-', '' );
            var giveid = $(this).parents( '#social-share' ).data( 'giveid' );
            
            ipgivay_tools.showModalLoader();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_savestat',
                type: "POST",
                data: 'giveid='+giveid+'&type=share&social='+social,
                dataType: "json",
                success: function ( result ) {
                    window.open(href,'t','toolbar=0,resizable=1,status=0,width=640,height=528');
                    ipgivay_tools.hideModalLoader();
                }
            });
            return false;
        });
    };
    
    //Tools
    var ipgivay_tools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        },
        showModalInfo: function( msg )
        {
            $( '#ipgivay-modal-info .ipgivay-modal-content p' ).text( msg );
            $( '#ipgivay-modal-info-overlay' ).show();
            return $( '#ipgivay-modal-info' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalInfo: function()
        {
            $( '#ipgivay-modal-info-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-info' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        showModalShare: function( msg )
        {
            $( '#ipgivay-modal-share .ipgivay-modal-content p' ).text( msg );
            $( '#ipgivay-modal-share-overlay' ).show();
            return $( '#ipgivay-modal-share' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalShare: function()
        {
            $( '#ipgivay-modal-share-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-share' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        showModalLoader: function()
        {
            $( '#ipgivay-modal-loader-overlay' ).show();
            return $( '#ipgivay-modal-loader' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalLoader: function()
        {
            $( '#ipgivay-modal-loader-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipgivay-modal-loader' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        cookie:
        {
            registry: [],
            create: function( name, value, days ) 
            {
                if ( days ) {
                    var date = new Date();
                    date.setTime(date.getTime()+(days*24*60*60*1000));
                    var expires = "; expires="+date.toGMTString();
                }
                else var expires = "";
                document.cookie = name+"="+value+expires+"; path=/";
            },
            read: function( name )
            {
                var nameEQ = name + "=";
                var ca = document.cookie.split(';');
                for(var i=0;i < ca.length;i++) {
                    var c = ca[i];
                    while (c.charAt(0)==' ') c = c.substring(1,c.length);
                    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
                }
                return null;
            }
        },
    };
    
    $(document).ready(function() 
    {
        $('.slider-images').flexslider({
            animation: "slide",
            controlNav: false,
            prevText: '<i class="fa fa-chevron-left"></i>', 
            nextText: '<i class="fa fa-chevron-right"></i>', 
        });
        
        //Handler get gift
        $( '#do-save-question' ).click( function()
        {
            var answer = $( '#input-question-answer' ).val();
            if ( answer == '-1' ) {
                ipgivay_tools.showModalInfo( ipgivay_msg_front.empty_answer );
            } else if ( answer != '1' ) {
                ipgivay_tools.showModalInfo( ipgivay_msg_front.wrong_answer );
            } 
            else 
            {
                $( '.get-gift-question' ).hide();
                $( '.get-gift-email' ).show();
            }
            return false;
        });
        $( '#do-save-email' ).click( function()
        {
            var email = $( '#input-email' ).val();
            if ( email == '' ) {
                ipgivay_tools.showModalInfo( ipgivay_msg_front.empty_email );
            } 
            else 
            {
                ipgivay_tools.showModalLoader();
                var form = $( '#email-form' );
                var data = ipgivay_tools.getdataform( form );
                var autoresp = '';
                if ( form.hasClass( 'email-autoresponder' )) {
                    autoresp = '&autoresponder=1';
                }
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipgivay=1&action=ipgivay_save_email',
                    type: "POST",
                    dataType: "json",
                    data: data+'&email='+email+autoresp,
                    success: function (result) 
                    {
                        if ( result.status == '1' )
                        {
                            //Save cookie
                            ipgivay_tools.cookie.create( 'ipgivay_get_'+result.giveid, '1', false );
                            
                            //Submit form
                            if ( form.hasClass( 'email-autoresponder' )) {
                                form.submit();
                            }
                            
                            $( '.get-gift .get-gift-step' ).hide();
                            $( '.get-gift .after-get-info' ).show();
                            ipgivay_tools.hideModalLoader();
                            $( '#social-share .share-list' ).html( result.share );
                            $( '#social-share .share-list' ).ipgivay_share_link();
                            ipgivay_tools.showModalShare();
                        }
                        else 
                        {
                            ipgivay_tools.hideModalLoader();
                            ipgivay_tools.showModalInfo( result.message );
                        }
                    },
                    error: function () {
                        alert( "Error" );
                    },
                });
            }
            return false;
        });
        $( '#ipgivay-modal-info .btn-ok' ).click( function()
        {
            ipgivay_tools.hideModalInfo();
            return false;
        });
        $( '#ipgivay-modal-share .btn-ok' ).click( function()
        {
            ipgivay_tools.hideModalShare();
            return false;
        });
    });
})(jQuery);