<?php
$title = $this->give->post_title;
$st    = $this->setting;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include( $this->masterpath . 'head.php' ); ?>
</head>

<body>
    <div class="root">
        <div class="bg"<?php echo $this->bg; ?>></div>
        <div class="wrapper <?php echo $this->root_class; ?>">
            <div class="inner">
            
                <div class="main">
                    <?php
                    if ( $this->logo ) :
                    ?>
                        <div class="logo-wrapper">
                            <div class="logo">
                                <img src="<?php echo $this->logo; ?>" alt="">
                            </div>
                        </div>
                    <?php
                    endif;
                    ?>
                    <div class="primary">
                        <div class="prime-inner">
                            <div class="gv-page">
                                <div class="gv-page-inner">
                                    <h2 class="page-title"<?php echo $this->font_title; ?>>
                                        <?php echo stripslashes( $this->give->post_title ); ?>
                                    </h2>
                                    <div class="page-desc"<?php echo $this->font_text; ?>>
                                        <?php echo stripslashes( $this->give->post_content ); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="giveaway-content">
                                <div class="clearfix">
                                    <?php
                                    include( $this->masterpath . 'content.php' );
                                    include( $this->masterpath . 'gift.php' );
                                    ?>
                                </div>
                            </div>
                            
                            <div class="prime-bottom"<?php echo $this->font_text; ?>>
                                <div class="prime-bottom-inner">
                                    <?php 
                                    if ( $this->is_start ) :
                                    
                                        if ( ! $this->is_finish ) {
                                            include( $this->masterpath . 'countdown.php' ); 
                                        }
                                        ?>
                                        <div class="give-time clearfix">
                                            <div class="give-end">
                                                <i class="fa fa-calendar"></i>
                                                <div class="give-time-info">
                                                    <h4><?php _e( 'Contest Ends', 'ipgivay' ); ?></h4>
                                                    <div class="give-time-value">
                                                        <?php echo $this->give_end; ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="give-awarded">
                                                <i class="fa fa-calendar"></i>
                                                <div class="give-time-info">
                                                    <h4><?php _e( 'Contest Awarded', 'ipgivay' ); ?></h4>
                                                    <div class="give-time-value">
                                                        <?php echo $this->give_award; ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php
                                    endif;
                                    ?>
                                    <div class="give-rules">
                                        <i class="fa fa-info"></i>
                                        <div class="rules">
                                            <?php echo stripslashes( $this->setting->getSetting( 'rules', '' )); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            if ( $this->images ) :
                            ?>
                            <div class="slider">
                                <div class="slider-images">
                                    <ul class="slides">
                                        <?php
                                        foreach( $this->images as $image ) {
                                            echo '<li><img src="' . $image . '" alt=""></li>';
                                        }
                                        ?>
                                    </ul>
                                </div>
                            </div>
                            <?php
                            endif;
                            ?>
                            
                        </div>
                    </div>
                </div>
            
            </div>
        </div>
        <?php include( $this->masterpath . 'footer.php' ); ?>
    </div>
    <script type="text/javascript" src="<?php echo $this->masterurl; ?>script.js"></script>
</body>
</html>